blog/urls.py
from django.urls import path
from . import views

urlpatterns = [
    path('', views.index, name="index"),
    path('blog/', views.news_list, name='news'),
    path('search/', views.search_result, name="search_result"),
    path('post/<str:slug>/', views.post_detail, name='post_detail_url'),
    path('category/', views.category, name='category'),
    path('category/<slug:slug>/', views.category_detail,
         name='category_detail_url'),
    path('register/', views.register, name="register"),
    path('post/<slug:slug>/leave-comment',
         views.leave_comment, name='leave_comment'),
    path('contact/', views.feedback, name='contact'),
    path('popular-posts/', views.popular_posts, name='popular_posts')
]

djangosite/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('blog.urls')),
    path('account/', include('django.contrib.auth.urls')),
] + static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

blog/models.py
from django.db import models
from django.utils import timezone
from django.shortcuts import reverse


class Category(models.Model):
    title = models.CharField('Header', max_length=255)
    slug = models.SlugField('Link', max_length=255, unique=True)
    image = models.ImageField('Image', blank=True)

    def get_absolute_url(self):
        return reverse('category_detail_url', kwargs={'slug': self.slug})

    class Meta:
        verbose_name = 'Category'
        verbose_name_plural = 'Categories'

    def __str__(self):
        return self.title


class Post(models.Model):
    title = models.CharField('Header', max_length=255)
    slug = models.SlugField('Link', max_length=255, unique=True)
    summary = models.TextField('Short description')
    content = models.TextField('Description')
    date = models.DateTimeField('Date', default=timezone.now)
    image = models.ImageField('Image', blank=True)
    categories = models.ForeignKey(
        Category, on_delete=models.CASCADE, null=True)
    views = models.IntegerField('Views', default=0)

    def get_absolute_url(self):
        return reverse('post_detail_url', kwargs={'slug': self.slug})

    class Meta:
        verbose_name = 'Post'
        verbose_name_plural = 'Posts'

    def __str__(self):
        return self.title


class Comment(models.Model):
    post = models.ForeignKey(Post, on_delete=models.CASCADE)
    author_name = models.CharField('Author name', max_length=255)
    text = models.TextField('Commentary text')
    date = models.DateTimeField('Comment date', default=timezone.now)

    class Meta:
        verbose_name = "Comment"
        verbose_name_plural = "Comments"

    def __str__(self):
        return self.author_name


class FeedBack(models.Model):
    name = models.CharField('Name', max_length=255)
    last_name = models.CharField('Last name', max_length=255)
    email = models.EmailField('Email', max_length=255)
    phone = models.CharField('Phone', max_length=255)
    message = models.TextField('Text', max_length=255)
    date = models.DateTimeField('Date', default=timezone.now)

    class Meta:
        verbose_name = 'Message'
        verbose_name_plural = 'Messages'

    def __str__(self):
        return self.name


class slider(models.Model):
    slug = models.SlugField('link', max_length=255)
    image = models.ImageField('Image')

blog/forms.py
from django.contrib.auth.forms import UserCreationForm
from django import forms
from django.contrib.auth.models import User


class RegisterForm(UserCreationForm):
    username = forms.CharField(label="Nickname", required=True, widget=forms.TextInput(
        attrs={'class': 'form-control footer-input margin-b-20'}))
    password1 = forms.CharField(label='Password', required=True, widget=forms.PasswordInput(
        attrs={'class': 'form-control footer-input margin-b-20'}))
    password2 = forms.CharField(label='Reenter Password', required=True, widget=forms.PasswordInput(
        attrs={'class': 'form-control footer-input margin-b-20'}))
    email = forms.EmailField(label="Email", required=True, widget=forms.TextInput(
        attrs={'class': 'form-control footer-input margin-b-20'}))
    first_name = forms.CharField(label="Name", required=True, widget=forms.TextInput(
        attrs={'class': 'form-control footer-input margin-b-20'}))
    last_name = forms.CharField(label="Last Name", required=True, widget=forms.TextInput(
        attrs={'class': 'form-control footer-input margin-b-20'}))

    class Meta:
        model = User
        fields = ("first_name", "last_name", "email",
                  "password1", "password2", "username",)

    def save(self, commit=True):
        user = super().save(commit=False)
        user.email = self.cleaned_data["email"]
        user.first_name = self.cleaned_data["first_name"]
        user.last_name = self.cleaned_data["last_name"]

        if commit:
            user.save()
            return user

blog/views.py
from django.shortcuts import render, redirect
from .models import Post, Category, Comment, FeedBack
from django.db.models import Q
from .forms import RegisterForm
from django.contrib.auth import logout
from django.http import Http404, HttpResponseRedirect
from django.urls import reverse
from django.contrib.auth.models import User


def index(request):
    news = Post.objects.order_by('-date')[:3]
    popular = Post.objects.filter(views__gt=10)[:3]
    return render(request, 'blog/index.html', {'news': news, 'popular': popular})


def news_list(request):
    news = Post.objects.order_by('-date')
    return render(request, 'blog/news.html', {'news': news})


def search_result(request):
    query = request.GET.get('search')
    search_obj = Post.objects.filter(
        Q(title__icontains=query) | Q(summary__icontains=query)
    )
    return render(request, 'blog/search_result.html', {'query': query, 'search_obj': search_obj})


def post_detail(request, slug):
    post = Post.objects.get(slug__iexact=slug)
    post.views += 1
    post.save()
    return render(request, 'blog/post_detail.html', context={'post': post})


def category_detail(request, slug):
    category = Category.objects.get(slug__iexact=slug)
    posts = Post.objects.order_by('-date')
    return render(request, 'blog/category_detail.html', context={'category': category, 'posts': posts})


def category(request):
    categories = Category.objects.all()
    return render(request, 'blog/category_page.html', {'categories': categories})


def register(request):
    if request.method == "POST":
        form = RegisterForm(request.POST)
        if form.is_valid():
            form.save()
            return redirect('index')
    else:
        form = RegisterForm()
    return render(request, 'blog/register.html', {'form': form})


def leave_comment(request, slug):
    try:
        post = Post.objects.get(slug__iexact=slug)
    except:
        raise Http404("Article not found")
    if request.user.is_authenticated:
        user = request.user.first_name
        post.comment_set.create(author_name=user,
                                text=request.POST.get('text'))
    else:
        post.comment_set.create(
            author_name=request.POST.get('name'), text=request.POST.get('text'))
    return HttpResponseRedirect(reverse('post_detail_url', args=(post.slug,)))


def feedback(request):
    if request.method == "POST":
        if request.user.is_authenticated:
            first_name = request.user.first_name
            last_name = request.user.last_name
            email_user = request.user.email
            FeedBack.objects.create(name=first_name, last_name=last_name, email=email_user,
                                    phone=request.POST.get('phone'),
                                    message=request.POST.get('message'))
        else:
            FeedBack.objects.create(name=request.POST.get('name'),
                                    last_name=request.POST.get('last_name'),
                                    email=request.POST.get('email'),
                                    phone=request.POST.get('phone'),
                                    message=request.POST.get('message'))

    return render(request, 'blog/feedback.html')


def popular_posts(request):
    popular = Post.objects.filter(views__gt=10)[:3]
    return render(request, 'blog/popular_list.html', {'popular': popular})

blog/templates/blog/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>
        {% block title %}
        djangoSite
        {% endblock %}
    </title>
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
    <link rel="stylesheet" href="{% static 'style.css' %}">
</head>

<body>
    <header id="header">
        <nav class="navbar sticky-top navbar-expand-lg navbar-dark bg-dark">
            <a class="navbar-brand" href="#">News</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item active">
                        <a class="nav-link" href="{% url 'news' %}">Home <span class="sr-only">(current)</span></a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#">Link</a>
                    </li>
                    <!-- <li class="nav-item dropdown">
                        <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            Dropdown
                        </a>
                        <div class="dropdown-menu" aria-labelledby="navbarDropdown">
                            <a class="dropdown-item" href="#">Action</a>
                            <a class="dropdown-item" href="#">Another action</a>
                            <div class="dropdown-divider"></div>
                            <a class="dropdown-item" href="#">Something else here</a>
                        </div>
                    </li> -->

                    {% if not user.is_authenticated %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'register' %}">Registration</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'login' %}">Sign In</a>
                    </li>
                    {% else %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'logout' %}">Sign out</a>
                    </li>
                    {% endif %}
                </ul>
                <form action="{% url 'search_result' %}" method="GET" class="form-inline my-2 my-lg-0">
                    <input class="form-control mr-sm-2" type="search" name="search" placeholder="Search"
                        aria-label="Search">
                    <button class="btn btn-outline-success my-2 my-sm-0" type="submit">Search</button>
                </form>
            </div>
        </nav>
    </header>
    {% block content %}
    {% endblock %}

    <footer style="width: 100%; height: 70px; background: #333;"></footer>


    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js"
        integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n"
        crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js"
        integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo"
        crossorigin="anonymous"></script>
    <script src="{% static 'js/bootstrap.min.js' %}"></script>
    <script src="{% static 'js/bootstrap.bundle.min.js' %}"></script>
</body>

</html>

blog/templates/blog/category_detail.html
{% extends 'blog/base.html' %}
{% load static %}
{% block title %}
New
{% endblock %}


{% block content %}

<div class="container-fluid">
    <div class="row">
        {% for post in category.post_set.all %}
        <div class="col-md-3">
            <a href="{{post.categories.get_absolute_url}}">
                <p>{{post.categories.title}}</p>
            </a>
            <a href="{{post.get_absolute_url}}">
                <h3>{{post.title}}</h3>
            </a>
            {% if post.image.url != null %}
            <a href="{{post.get.absolute_url}}">
                <img src="{{post.image.url}}" alt="">
            </a>
            {% endif %}
            <p>{{post.summary}}</p>
            <em>{{post.date}}</em>
        </div>
        {% endfor %}
    </div>
</div>


<div class="wrapper">
    <h1>Can Australia Die?</h1>
    <h5 style="color: #888;">Lorem ipsum dolor sit amet consectetur adipisicing elit. Veritatis accusamus
        consequuntur ab perferendis
        neque!</h5>
    <section id="news_page">
        <div class="main_con">
            <img src="{% static 'img/1.jpg' %}" style="width: 70%; padding: 15px;">
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nemo laudantium fuga animi deserunt ut
                consequatur natus harum, quibusdam tempore possimus. Iusto quisquam velit repellat eum, amet soluta
                sequi accusantium quam.</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nemo laudantium fuga animi deserunt ut
                consequatur natus harum, quibusdam tempore possimus. Iusto quisquam velit repellat eum, amet soluta
                sequi accusantium quam.</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nemo laudantium fuga animi deserunt ut
                consequatur natus harum, quibusdam tempore possimus. Iusto quisquam velit repellat eum, amet soluta
                sequi accusantium quam.</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nemo laudantium fuga animi deserunt ut
                consequatur natus harum, quibusdam tempore possimus. Iusto quisquam velit repellat eum, amet soluta
                sequi accusantium quam.</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nemo laudantium fuga animi deserunt ut
                consequatur natus harum, quibusdam tempore possimus. Iusto quisquam velit repellat eum, amet soluta
                sequi accusantium quam.</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nemo laudantium fuga animi deserunt ut
                consequatur natus harum, quibusdam tempore possimus. Iusto quisquam velit repellat eum, amet soluta
                sequi accusantium quam.</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nemo laudantium fuga animi deserunt ut
                consequatur natus harum, quibusdam tempore possimus. Iusto quisquam velit repellat eum, amet soluta
                sequi accusantium quam.</p>
        </div>


        <aside class="news_side">
            <div class="progress">
                <div class="progress-bar" role="progressbar" style="width: 100%" aria-valuenow="100" aria-valuemin="0"
                    aria-valuemax="100">
                </div>
            </div>
            <h2>Popular</h2>
            <div class="list-group">
                <a href="#" class="list-group-item list-group-item-action active">
                    <div class="d-flex w-100 justify-content-between">
                        <h5 class="mb-1">List group item heading</h5>
                        <small>3 days ago</small>
                    </div>
                    <p class="mb-1">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget
                        risus
                        varius blandit.</p>
                    <small>Donec id elit non mi porta.</small>
                </a>
                <a href="#" class="list-group-item list-group-item-action">
                    <div class="d-flex w-100 justify-content-between">
                        <h5 class="mb-1">List group item heading</h5>
                        <small class="text-muted">3 days ago</small>
                    </div>
                    <p class="mb-1">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget
                        risus
                        varius blandit.</p>
                    <small class="text-muted">Donec id elit non mi porta.</small>
                </a>
                <a href="#" class="list-group-item list-group-item-action">
                    <div class="d-flex w-100 justify-content-between">
                        <h5 class="mb-1">List group item heading</h5>
                        <small class="text-muted">3 days ago</small>
                    </div>
                    <p class="mb-1">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget
                        risus
                        varius blandit.</p>
                    <small class="text-muted">Donec id elit non mi porta.</small>
                </a>
            </div>
        </aside>

    </section>
</div>
{% endblock %}

blog/templates/blog/category_page.html
{% extends 'blog/base.html' %}
{% load static %}
{% block title %}
categories
{% endblock %}

{% block content %}
<div class="container-fluid">
    <div class="row">
        {% for category in categories %}
        <div class="col-md-3">
            {% if category.image.url != null %}
            <a href="{{category.get_absolute_url}}">
                <img src="{{category.image.url}}" alt="" style="height: 15vh;">
            </a>
            {% endif %}
            <a href="{{category.get_absolute_url}}">
                <h3>{{category.title}}</h3>
            </a>
        </div>
        {% endfor %}
    </div>
</div>
{% endblock %}

blog/templates/blog/feedback.html
{% extends 'blog/base.html' %}

{% block title %}
FeedBack form
{% endblock %}

{% block content %}
<section class="container">
    <h1>Contact us</h1>
    <div class="row">
        <div style="width: 100%;">
            <form action="{% url 'contact' %}" method="POST">
                {% csrf_token %}
                {% if not user.is_authenticated %}
                <p>
                    <div class="flex_name" style="display: flex; justify-content: space-around;">
                        <label>Name</label>
                        <input type="text" class="form-control" style="width: 50%;" name="name">
                        <label>Last name</label>
                        <input type="text" class="form-control" style="width: 50%;" name="last_name">
                    </div>
                </p>
                <p>
                    <label>Email</label>
                    <input type="email" class="form-control" name="email">
                </p>
                {% endif %}
                <p>
                    <label>Phone</label>
                    <input type="text" class="form-control" name="phone">
                </p>
                <p>
                    <label>Text</label>
                    <textarea required class="form-control" id="" cols="30" rows="10" style="width: 100%;"
                        name="message"></textarea>
                </p>
                <p>
                    <button class="btn btn-success" type="submit" style="background-color: blue;">Send</button>
                </p>
            </form>
        </div>
    </div>
</section>

{% endblock %}

blog/templates/blog/index.html
{% extends 'blog/base.html' %}
{% load static %}

{% block title %}
Home
{% endblock %}
{% block content %}
<div class="container head_con">
    <div class="container-fluid">
        <div class="row">
            {% for post in news %}
            <div class="col-md-3">
                <h3>{{post.title}}</h3>
                <img src="{{post.image.url}}" alt="">
                <p>{{post.summary}}</p>
                <em>{{post.date|date:"D j M, Y"}}</em>
            </div>
            {% endfor %}
        </div>
    </div>
</div>

<h3 style="text-align: center;">Feautered posts!</h3>
<div class="row">
    {% for post in popular %}
    <div class="col-md-3">
        <h3>{{post.title}}</h3>
        <img src="{{post.image.url}}" alt="">
        <p>{{post.summary}}</p>
        <em>{{post.date|date:"D j M, Y"}}</em>
    </div>
    {% endfor %}
</div>
{% endblock %}

blog/templates/blog/news.html
{% extends 'blog/base.html' %}
{% load static %}
{% block title %}
New
{% endblock %}


{% block content %}

<div class="container-fluid">
    <div class="row">
        {% for post in news %}
        <div class="col-md-3">
            <a href="{{post.categories.get_absolute_url}}">
                <p>{{post.categories.title}}</p>
            </a>
            <a href="{{post.get_absolute_url}}">
                <h3>{{post.title}}</h3>
            </a>
            {% if post.image.url != null %}
            <a href="{{post.get.absolute_url}}">
                <img src="{{post.image.url}}" alt="">
            </a>
            {% endif %}
            <p>{{post.summary}}</p>
            <em>{{post.date}}</em>
        </div>
        {% endfor %}
    </div>
</div>


<div class="wrapper">
    <h1>Can Australia Die?</h1>
    <h5 style="color: #888;">Lorem ipsum dolor sit amet consectetur adipisicing elit. Veritatis accusamus
        consequuntur ab perferendis
        neque!</h5>
    <section id="news_page">
        <div class="main_con">
            <img src="{% static 'img/1.jpg' %}" style="width: 70%; padding: 15px;">
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nemo laudantium fuga animi deserunt ut
                consequatur natus harum, quibusdam tempore possimus. Iusto quisquam velit repellat eum, amet soluta
                sequi accusantium quam.</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nemo laudantium fuga animi deserunt ut
                consequatur natus harum, quibusdam tempore possimus. Iusto quisquam velit repellat eum, amet soluta
                sequi accusantium quam.</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nemo laudantium fuga animi deserunt ut
                consequatur natus harum, quibusdam tempore possimus. Iusto quisquam velit repellat eum, amet soluta
                sequi accusantium quam.</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nemo laudantium fuga animi deserunt ut
                consequatur natus harum, quibusdam tempore possimus. Iusto quisquam velit repellat eum, amet soluta
                sequi accusantium quam.</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nemo laudantium fuga animi deserunt ut
                consequatur natus harum, quibusdam tempore possimus. Iusto quisquam velit repellat eum, amet soluta
                sequi accusantium quam.</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nemo laudantium fuga animi deserunt ut
                consequatur natus harum, quibusdam tempore possimus. Iusto quisquam velit repellat eum, amet soluta
                sequi accusantium quam.</p>
            <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Nemo laudantium fuga animi deserunt ut
                consequatur natus harum, quibusdam tempore possimus. Iusto quisquam velit repellat eum, amet soluta
                sequi accusantium quam.</p>
        </div>


        <aside class="news_side">
            <div class="progress">
                <div class="progress-bar" role="progressbar" style="width: 100%" aria-valuenow="100" aria-valuemin="0"
                    aria-valuemax="100">
                </div>
            </div>
            <h2>Popular</h2>
            <div class="list-group">
                <a href="#" class="list-group-item list-group-item-action active">
                    <div class="d-flex w-100 justify-content-between">
                        <h5 class="mb-1">List group item heading</h5>
                        <small>3 days ago</small>
                    </div>
                    <p class="mb-1">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget
                        risus
                        varius blandit.</p>
                    <small>Donec id elit non mi porta.</small>
                </a>
                <a href="#" class="list-group-item list-group-item-action">
                    <div class="d-flex w-100 justify-content-between">
                        <h5 class="mb-1">List group item heading</h5>
                        <small class="text-muted">3 days ago</small>
                    </div>
                    <p class="mb-1">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget
                        risus
                        varius blandit.</p>
                    <small class="text-muted">Donec id elit non mi porta.</small>
                </a>
                <a href="#" class="list-group-item list-group-item-action">
                    <div class="d-flex w-100 justify-content-between">
                        <h5 class="mb-1">List group item heading</h5>
                        <small class="text-muted">3 days ago</small>
                    </div>
                    <p class="mb-1">Donec id elit non mi porta gravida at eget metus. Maecenas sed diam eget
                        risus
                        varius blandit.</p>
                    <small class="text-muted">Donec id elit non mi porta.</small>
                </a>
            </div>
        </aside>

    </section>
</div>
{% endblock %}

blog/templates/blog/popular_list.html
{% extends 'blog/base.html' %}

{% block title %}
Popular posts
{% endblock %}

{% block content %}
<div class="container head_con">
    <div class="container-fluid">
        <div class="row">
            {% for post in popular %}
            <div class="col-md-3">
                <h3>{{post.title}}</h3>
                <img src="{{post.image.url}}" alt="">
                <p>{{post.summary}}</p>
                <em>{{post.date|date:"D j M, Y"}}</em>
                <br>
                <em>The counter{{post.views}}</em>
            </div>
            {% endfor %}
        </div>
    </div>
</div>
{% endblock %}

blog/templates/blog/post_detail.html
{% extends 'blog/base.html' %}
{% block title %}
{{post.title}}
{% endblock %}

{% block content %}
{% if post.image.url != null %}
<style>
    /* .bg-single {
        background: url('{{post.image.url}}'),
        rgba(0, 0, 0, .7);
        background-size: cover;
        background-blend-mode: multiply;
        height: 300px;
        text-align: center;
        background-position: center;
    } */
</style>

<section class="container-fluid bg-single">
    <h1>{{post.title}}</h1>
    <p>{{post.summary}}</p>
</section>
{% endif %}

<section class="content">
    <div class="row">
        <h2 style="text-align: center;">{{post.title}}</h2>
        {% if post.image.url != null %}
        <img src="{{post.image.url}}">
        {% endif %}
        <p>{{post.content}}</p>
        <em>{{post.date}}</em>
    </div>
</section>
<section>
    <h3>Comments: {{post.comment_set.count}}</h3>
    {% for comment in post.comment_set.all %}
    <div>
        <h3>{{comment.author_name}}</h3>
        <p>{{comment.text}}</p>
        <em>{{comment.date|date:"D j M, Y"}}</em>
    </div>
    {% endfor %}
</section>
<section class="content">
    <h3>Put ur comments</h3>
    <form action="{% url 'leave_comment' post.slug %}" method="POST">
        {% csrf_token %}
        {% if not user.is_authenticated %}
        <input type="text" class="form-control" name="name">
        {% endif %}
        <textarea required name="text" class="form-control" id="" cols="30" rows="10" style="width: 100%;"></textarea>
        <button class="btn btn-success" type="submit">Send</button>
    </form>
</section>

{% endblock %}

blog/templates/blog/register.html
{% extends 'blog/base.html' %}
{% block title %}
Sign Up
{% endblock %}

{% block content %}
{% if user.is_authenticated %}
<h1>U already exist modafaca</h1>
{% else %}
<section class="container">
    <h1>Sign up</h1>
    <form action="{% url 'register' %}" method="POST">
        {% csrf_token %}
        {{form.as_p}}
        <button class="btn btn-success">Sign Up</button>
    </form>
</section>
{% endif %}
{% endblock %}